.btn.disabled, .btn:disabled {
  cursor: not-allowed;
}

.progress-bar {
  background-color: #1F6BAE;
}

::-webkit-input-placeholder { /* WebKit browsers */
  text-transform: none;
}

:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
  text-transform: none;
}

::-moz-placeholder { /* Mozilla Firefox 19+ */
  text-transform: none;
}

:-ms-input-placeholder { /* Internet Explorer 10+ */
  text-transform: none;
}

::placeholder { /* Recent browsers */
  text-transform: none;
}

.btn .m-spinner--swirl {
  font-size: 16px;
  --spinner-color: #ffffff;
  --spinner-duration: 1s;
  --spinner-color-secondary: #ffffff;
  top: 0px;
  margin-right: 10px;
}

a {
  color: #17288b;
}

.navbar-header-fixed {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 1000;
}

.content-fixed {
  margin-top: 60px;
}

.navbar-menu .nav-sub-link label, .navbar-menu .nav-link label {
  margin-bottom: 0px;
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
  cursor: pointer;
}

.sezioni {
  font-size: 0.875rem;
  letter-spacing: normal;
  padding: 10px;
  background-color: transparent;
  border: 1px solid rgba(72, 94, 144, 0.16);
  position: relative;
}

.sezioni::before {
  content: attr(data-label);
  display: block;
  position: absolute;
  top: -6px;
  left: 5px;
  font-size: 8px;
  font-weight: 600;
  font-family: -apple-system, BlinkMacSystemFont, "Inter UI", Roboto, sans-serif;
  letter-spacing: 1px;
  text-transform: uppercase;
  background-color: #f8f9fc;
  color: #8392a5;
  padding: 0 5px;
}

.custom-file .progress {
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 3;
  height: 100%;
}

.table thead th, .table tbody td, .table tfoot td {
  border-left: 1px solid rgba(72, 94, 144, 0.16);
  border-right: 1px solid rgba(72, 94, 144, 0.16);
}

.dataTables_wrapper button.dt-button {
  margin-bottom: 1em;
}

.dataTables_wrapper button.dt-button i {
  font-size: 16px;
}


.dataTables_wrapper div.dt-buttons {
  float: none;
  clear: both;
}

.dataTables_wrapper .dataTables_length {
  clear: both;
}

.contact-wrapper {
  background-color: #f8f9fc;
  position: fixed;
  top: 55px;
  bottom: 0;
  left: 0;
  right: 0;
}

.contact-wrapper-two {
  position: relative;
  height: 100%;
  top: 0;
}

  .contact-wrapper-two .contact-content-header {
    right: 0;
  }

  .contact-wrapper-two .contact-content-body {
    right: 0;
  }

.contact-navleft,
.contact-sidebar,
.contact-content {
  transition: all 0.3s;
}

.cke_top, .cke_bottom {
    /*  background-image: -webkit-linear-gradient(top,#e8eaf0,#f8f9fc) !important;   */
    background-image: -webkit-linear-gradient(top,#b4bdce,#b4bdce) !important;
    webkit-gradient(linear,left top,left bottom,from(#b4bdce),to(#b4bdce)) !important;
    background-image: -o-linear-gradient(top,#b4bdce,#b4bdce) !important;
    background-image: -ms-linear-gradient(top,#b4bdce,#b4bdce) !important;
    background-image: linear-gradient(top,#b4bdce,#b4bdce) !important;
}

@media (prefers-reduced-motion: reduce) {
  .contact-navleft,
  .contact-sidebar,
  .contact-content {
    transition: none;
  }
}

.contact-navleft {
  background-color: #fff;
  position: absolute;
  top: 0;
  bottom: 0;
  border-right: 1px solid rgba(72, 94, 144, 0.16);
  width: 60px;
  padding: 15px 10px;
}

.contact-navleft .nav-link {
  padding: 0;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #b4bdce;
  border-radius: 0.25rem;
  transition: all 0.2s ease-in-out;
}

@media (prefers-reduced-motion: reduce) {
  .contact-navleft .nav-link {
    transition: none;
  }
}

.contact-navleft .nav-link:hover, .contact-navleft .nav-link:focus {
  color: #1b2e4b;
}

.contact-navleft .nav-link.active {
  color: #1f6bae;
}

  .contact-navleft .nav-link.active svg {
    fill: rgba(1, 104, 250, 0.2);
  }

.contact-navleft .nav-link + .nav-link {
  margin-top: 10px;
}

.contact-navleft .nav-link svg {
  width: 20px;
  stroke-width: 2.2px;
  fill: rgba(27, 46, 75, 0.1);
}

.contact-sidebar {
  background-color: #fff;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 55px;
  right: 0;
}

.contact-sidebar-header {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  height: 55px;
  border-bottom: 1px solid rgba(72, 94, 144, 0.16);
  display: flex;
  align-items: center;
  padding: 0 15px;
}

  .contact-sidebar-header .feather-search {
    color: #8392a5;
    align-self: center;
    width: 18px;
    stroke-width: 2.8px;
    margin-right: 10px;
    margin-top: -2px;
  }

  .contact-sidebar-header .search-form {
    flex: 1;
    display: flex;
    align-items: center;
  }

    .contact-sidebar-header .search-form .form-control {
      border-width: 0;
      background-color: transparent;
      font-size: inherit;
      padding: 0;
      color: #1b2e4b;
    }

.contact-sidebar-body {
  position: absolute;
  top: 55px;
  left: 0;
  right: 0;
  bottom: 0;
}

  .contact-sidebar-body .tab-pane:first-child .contact-list-divider::before {
    width: 27px;
  }

.contact-list .media {
  color: #1b2e4b;
  padding: 10px;
  align-items: flex-end;
  border-radius: 0.25rem;
}

  .contact-list .media:hover, .contact-list .media:focus {
    background-color: #f5f6fa;
    cursor: default;
  }

    .contact-list .media:hover .avatar-online::after,
    .contact-list .media:hover .avatar-offline::after, .contact-list .media:focus .avatar-online::after,
    .contact-list .media:focus .avatar-offline::after {
      box-shadow: 0 0 0 2px #eff2f7;
    }

.contact-list .media + .media {
  margin-top: 2px;
}

.contact-list .media-body span {
  color: #8392a5;
  display: block;
  line-height: 1.02;
}

.contact-list nav {
  display: none;
  align-items: center;
  align-self: center;
}

  .contact-list nav a {
    display: block;
    color: #8392a5;
  }

    .contact-list nav a:hover, .contact-list nav a:focus {
      color: #1b2e4b;
    }

    .contact-list nav a + a {
      margin-left: 5px;
    }

  .contact-list nav svg {
    width: 16px;
  }

.contact-list-divider {
  display: flex;
  align-items: center;
  color: #8392a5;
  font-size: 10px;
  font-weight: 500;
  font-family: -apple-system, BlinkMacSystemFont, "Inter UI", Roboto, sans-serif;
  text-transform: uppercase;
  letter-spacing: .5px;
  margin: 15px -10px 10px;
}

  .contact-list-divider:first-child {
    margin-top: 0;
  }

  .contact-list-divider::before, .contact-list-divider::after {
    content: '';
    display: block;
    height: 1px;
    background-color: rgba(229, 233, 242, 0.7);
  }

  .contact-list-divider::before {
    margin-right: 5px;
    width: 15px;
  }

  .contact-list-divider::after {
    margin-left: 5px;
    flex: 1;
  }

.contact-content {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 60px;
  right: 0;
  visibility: visible;
  /* transform: translateX(100vw); */
  opacity: 1;
  transition: all 0.3s;
}

.contact-content-l0 {
  left: 0px!important;
}

@media (prefers-reduced-motion: reduce) {
  .contact-content {
    transition: none;
  }
}

.contact-content-header {
  background-color: #fff;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  height: 55px;
  border-bottom: 1px solid rgba(72, 94, 144, 0.16);
  display: flex;
  align-items: center;
  padding: 0 20px;
}

.contact-content-header .nav-link {
  color: #8392a5;
  font-size: 11px;
  font-weight: 500;
  text-transform: uppercase;
  letter-spacing: .5px;
  padding: 0;
}

  .contact-content-header .nav-link i {
    font-size: 18px;
  }

  .contact-content-header .nav-link:hover, .contact-content-header .nav-link:focus {
    color: #525f70;
  }

  .contact-content-header .nav-link.active {
    color: #17288b;
    font-weight: 600;
    position: relative;
  }

    .contact-content-header .nav-link.active::before {
      content: '';
      position: absolute;
      bottom: -19px;
      left: 0;
      width: 100%;
      border-bottom: 1px solid #17288b;
    }

  .contact-content-header .nav-link + .nav-link {
    margin-left: 30px;
  }

  .contact-content-header .nav-link span {
    display: none;
  }

.contact-content-body {
  position: absolute;
  top: 55px;
  left: 0;
  right: 0;
  bottom: 0;
}

.contact-content-body-t0 {
    position: absolute;
    top: 0px;
    left: 0;
    right: 0;
    bottom: 0;
}

.contact-content-sidebar {
  background-color: #fff;
  position: absolute;
  top: 0;
  right: -260px;
  bottom: 0;
  border-left: 1px solid rgba(72, 94, 144, 0.16);
  width: 260px;
  padding: 20px;
}

.contact-edit-photo {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  width: 24px;
  height: 24px;
  background-color: #e5e9f2;
  color: #8392a5;
  border-radius: 100%;
  position: absolute;
  bottom: 0;
  right: 0;
  box-shadow: 0 0 0 3px #fff;
}

  .contact-edit-photo:hover, .contact-edit-photo:focus {
    color: #1b2e4b;
    background-color: #c0ccda;
  }

  .contact-edit-photo svg {
    width: 12px;
    stroke-width: 3px;
  }

.contact-call-nav {
  display: flex;
}

  .contact-call-nav a {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    width: 34px;
    height: 34px;
    border-radius: 100%;
    color: #fff;
  }

    .contact-call-nav a svg {
      width: 16px;
      stroke-width: 2.6px;
    }

    .contact-call-nav a + a {
      margin-left: 8px;
    }

    .contact-call-nav a.nav-call {
      background-color: #00cccc;
    }

      .contact-call-nav a.nav-call:hover, .contact-call-nav a.nav-call:focus {
        background-color: #009999;
      }

    .contact-call-nav a.nav-video {
      background-color: #f10075;
    }

      .contact-call-nav a.nav-video:hover, .contact-call-nav a.nav-video:focus {
        background-color: #be005c;
      }

    .contact-call-nav a.nav-msg {
      background-color: #0168fa;
    }

      .contact-call-nav a.nav-msg:hover, .contact-call-nav a.nav-msg:focus {
        background-color: #0153c7;
      }

.contact-actions {
  display: flex;
  position: relative;
  margin-top: -2px;
}

  .contact-actions a {
    display: flex;
    align-items: flex-end;
    color: #1b2e4b;
  }

    .contact-actions a:hover, .contact-actions a:focus {
      color: #0168fa;
    }

    .contact-actions a svg {
      width: 16px;
      stroke-width: 2.6px;
      margin-right: 5px;
    }

    .contact-actions a + a {
      margin-left: 20px;
    }

.contact-content-nav .nav-link {
  color: #1b2e4b;
  display: flex;
  align-items: center;
  padding: 0;
}

  .contact-content-nav .nav-link:hover, .contact-content-nav .nav-link:focus {
    color: #0168fa;
  }

  .contact-content-nav .nav-link + .nav-link {
    margin-top: 10px;
  }

.contact-content-nav svg {
  position: relative;
  margin-top: -2px;
  width: 18px;
  margin-right: 12px;
}

.contact-content {
  display: none;
}

  .contact-content.active {
    display: block;
  }

.table tbody tr td#colonnaAzioni {
  white-space: nowrap;
}

  .table tbody tr td#colonnaAzioni a, .table tbody tr.child span.dtr-data a, .table tfoot tr td#colonnaAzioni a, .table tbody tr td.colonnaAzioni a, .table tbody tr td.colonnaAzioni button {
    margin-right: 20px;
  }

.table tbody tr.child span.dtr-data .custom-switch {
  display: table-cell !important;
  top: 0.3rem;
}

.table tbody tr td#colonnaAzioni a:last-of-type, .table tbody tr.child span.dtr-data a:last-of-type, .table tfoot tr td#colonnaAzioni a:last-of-type, .table tbody tr td.colonnaAzioni a:last-of-type, .table tbody tr td.colonnaAzioni button:last-of-type {
  margin-right: 0px;
}



.custom-switch .custom-control-label {
  cursor: pointer;
}

#pulsantieraContestuale a {
  color: #1f6bae;
}


#pulsantieraContestuale {
  display: block !important;
}

  #pulsantieraContestuale .dropdown-linz {
    content: url('/admin/images/svg/azioni.svg');
    width: 24px;
    height: 24px;
    fill: red;

  }



.dropdown-pulsantiera-contestuale .dropdown-link {
  display: flex;
  align-items: center;
}

  .dropdown-pulsantiera-contestuale .dropdown-link:hover .avatar img, .dropdown-pulsantiera-contestuale .dropdown-link:focus .avatar img {
    transform: scale(1.23, 1.23);
    padding: 3px;
    background-color: #f5f6fa;
  }

.dropdown-pulsantiera-contestuale .dropdown-menu {
  border-color: rgba(72, 94, 144, 0.16);
  width: 230px;
  padding: 10px;
  margin-top: 14.5px;
  box-shadow: none;
  border-bottom-right-radius: 0.25rem;
  border-bottom-left-radius: 0.25rem;
}

  .dropdown-pulsantiera-contestuale .dropdown-menu::before {
    content: '';
    position: absolute;
    top: -10px;
    left: 25px;
    border-bottom: 10px solid rgba(72, 94, 144, 0.16);
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
  }

  .dropdown-pulsantiera-contestuale .dropdown-menu::after {
    content: '';
    position: absolute;
    top: -8.5px;
    left: 26px;
    border-bottom: 9px solid #fff;
    border-left: 9px solid transparent;
    border-right: 9px solid transparent;
  }

  .dropdown-pulsantiera-contestuale .dropdown-menu.dropdown-menu-right {
    margin-right: -10px;
  }

    .dropdown-pulsantiera-contestuale .dropdown-menu.dropdown-menu-right::before {
      left: auto;
      right: 15px;
    }

    .dropdown-pulsantiera-contestuale .dropdown-menu.dropdown-menu-right::after {
      left: auto;
      right: 16px;
    }

.dropdown-pulsantiera-contestuale .dropdown-divider {
  margin: 15px 0;
}

.dropdown-pulsantiera-contestuale .dropdown-item {
  padding: 0;
  display: flex;
  align-items: center;
  color: #1b2e4b;
}

  .dropdown-pulsantiera-contestuale .dropdown-item + .dropdown-item {
    margin-top: 10px;
  }

  .dropdown-pulsantiera-contestuale .dropdown-item svg {
    width: 16px;
    height: 16px;
    margin-right: 15px;
  }

  .dropdown-pulsantiera-contestuale .dropdown-item:hover, .dropdown-pulsantiera-contestuale .dropdown-item:focus {
    background-color: transparent;
    color: #0168fa;
  }

.dropdown-pulsantiera-contestuale .btn-white {
  border: 0px;
  display: block;
  position: relative;
  width: 100%;
  text-align: left
}

  .dropdown-pulsantiera-contestuale .btn-white span {
    display: inline !important;
  }

header .dropdown-profile select {
  border: 0px;
  padding: 0px;
  height: auto;
  background-position-x: right;
  background-position-y: center;
  background-size: 8px 10px;
  background-repeat-x: no-repeat;
  background-repeat-y: no-repeat;
}

.dd-container {
  width: auto!important;
}

.dd-select {
  width: auto !important;
  background: transparent !important;
  border: 0px !important;
}

header .dropdown-profile #lingua .dd-selected-image {
  width: 20px !important;
}

header .dropdown-profile #lingua .dd-selected {
  padding: 0px !important;
}

header .dropdown-profile #lingua .dd-selected-text {
  font-weight: normal !important;
  color: #596882 !important;
  line-height: 1.5 !important;
  margin-bottom: 0px !important;
}

header .dropdown-profile #lingua .dd-pointer {
  right: 0px !important;
}

header .dropdown-profile #lingua .dd-options {
  width: 100%!important;
}

  header .dropdown-profile #lingua .dd-options img {
    width: 30px !important;
  }

  header .dropdown-profile #lingua .dd-options .dd-option label {
    line-height: 1.5!important;
  }

.table tbody tr.rigaInserimento input, .table tbody tr.rigaInserita input, .table tfoot tr.rigaInserimento input, .table tbody tr.rigaInserita textarea, .table tfoot tr.rigaInserimento textarea {
  width: 100%;
  border: 1px solid #c0ccda;
  border-radius: 0.25rem;
}

.table tbody tr.rigaInserimento select, .table tbody tr.rigaInserita select, .table tfoot tr.rigaInserimento select {
  width: 100%;
  background-color: #ffffff;
  height: 27px;
  border-color: rgb(210,210,210);
  border-radius: 0.25rem;
}

.table tfoot tr.rigaInserimento .input-group-prepend select {
  background-color: #f5f6fa;
  border: 1px solid #c0ccda;
  border-top-right-radius: 0px;
  border-bottom-right-radius: 0px;
  padding: 0px 1.625rem 0px 0.625rem;
  height: 100%;
}

.table tfoot tr.rigaInserimento .input-group input {
  position: relative;
  flex: 1 1 auto;
  width: 1%;
  margin-bottom: 0;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.table tbody tr input, .table tbody tr textarea {
  width: 100%;
}

.table input.parsley-error, .table input.parsley-success {
  border-block-start-style: inherit;
  border-left-style: solid;
}

.table #colonnaAzioni {
  text-align: center;
}

.search-form button {
  background-color: #ffffff;
}

.ui-accordion-header.ui-state-active {
  color: #17288b;
}

input[type="search"] {
  border: 1px solid #c0ccda;
}

table.dataTable thead .sorting_disabled {
  background: #ffffff;
}

.testo-barrato {
  text-decoration: line-through;
}

.struttura-html {
  background: #ffffff;
  min-height: 100px;
  border: 1px solid #c0ccda;
  border-radius: 0.25rem;
  padding: 0.46875rem 0.625rem;
  cursor: text;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number] {
  -moz-appearance: textfield;
  text-align: right;
}

.dropdown-notification .notifica-verde::after, .dropdown-notification .notifica-gialla::after, .dropdown-notification .notifica-rossa::after {
  content: '';
  position: absolute;
  bottom: 0;
  right: 0;
  width: 8px;
  height: 8px;
  border-radius: 100%;
  left: calc(50% - 4px);
  top: 4px;
}

.dropdown-notification .notifica-gialla::after {
  background-color: #e8dd1d; 
}

.dropdown-notification .notifica-rossa::after {
  background-color: #f20532; 
}

.dropdown-notification .notifica-verde::after {
  background-color: #10b759; 
}

.dropdown-notification .media-body span {
  font-style: italic;
  line-height: 22px;
}

.dropdown-notification .dropdown-item .cancellaNotifica, .dropdown-notification .dropdown-header .cancellaNotifiche {
  float: right;
  background: none;
  border: 0px;
}



/*
.select2-container--default.select2-container--focus .select2-selection--multiple {
  height: 38px;
}

.select2-container--default .select2-selection--multiple .select2-selection__rendered {
  height: 38px;
}
*/

.select2-container--default .select2-selection--multiple .select2-selection__choice {
  /* margin-top: 6px; */
  background-color: #1f6bae;
}

.dropdown-notification .dropdown-body {
  max-height: calc(100vh - 140px);
}

.btn-primary.disabled, .btn-primary:disabled {
    color: #fff;
    background-color: #b4bdce;
    border-color: #b4bdce;
}

table tbody td.dt-right {
  text-align: right;
}

table tbody td.dt-center {
  text-align: center;
}

.input-group-prepend select {
  background-color: #f5f6fa;
  border: 1px solid #c0ccda;
  border-top-right-radius: 0px;
  border-bottom-right-radius: 0px;
}

.dropdown-message .dropdown-body .dropdown-item .media-body p, .dropdown-message .dropdown-body .dropdown-item .media-body strong, .dropdown-message .dropdown-body .dropdown-item .media-body small {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  width: 220px;
}

table.dataTable > tbody > tr.child ul.dtr-details {
  width: 100%
}

  table.dataTable > tbody > tr.child ul.dtr-details .dtr-title {
    width: calc(50% - 20px);
    display: inline-block
  }

  table.dataTable > tbody > tr.child ul.dtr-details .dtr-data {
    width: calc(50% + 16px);
    display: inline-block;
  }

  table.dataTable > tbody > tr.child ul.dtr-details input[type="text"], table.dataTable > tbody > tr.child ul.dtr-details input[type="number"], table.dataTable > tbody > tr.child ul.dtr-details select {
    border: 1px solid #c0ccda;
    border-radius: 0.25rem;
  }

table.dataTable tfoot tr td#colonnaResponsive {
  text-align: center;
  padding-top: 12px;
}

  table.dataTable tfoot tr td#colonnaResponsive svg {
    width: 16px;
    height: 16px;
  }

.disabilitato {
  pointer-events: none;
}

  .disabilitato input, .disabilitato select, .disabilitato textarea, .disabilitato .dd-select {
    background-color: #f5f6fa!important;
  }

.dt-buttons .dt-button-collection {
  width: 100% !important;
}

  .dt-buttons .dt-button-collection .dt-button {
    width: 150px;
    display: inline-block;
  }

table.dataTable thead th.text-right.sorting {
  padding-right: 25px;
}

table.dataTable.stickyTable thead tr th {
  position: sticky;
  top: 0px;
  z-index: 1;
}

.dataTables_paginate span {
  height: 40px;
  display: inline-block;
}

.dataTables_filter + .dataTables_info {
  clear: both;
  margin-top: 0px;
}

.z-search-setup {
  cursor: pointer;
  padding-top: 4px;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  color: rgb(131, 146, 165) !important;
  font-size: 20px;
  font-style: normal;
  font-variant: normal;
  width: 40px;
  text-align: center;
  border-top: 1px solid #c0ccda;
  border-bottom: 1px solid #c0ccda;
}

  .z-search-setup::after {
    content: "\f00d";
  }